#pragma sfr

#include "trgbios.h"          /* gZBIOS̃T[rX[`ĂяôɕKv */
#include "lis3lv02.h"			// LIS3LV02̃WX^̒`

#define	lis_cs	P3.0

unsigned char buf[64];
unsigned char	d;
unsigned char g_fs;                  // xZT̃tXP[ݒp

unsigned char rd_lis(unsigned char reg)
{
	unsigned char tmp;
	
	lis_cs = 0;					// lis3lv02ANeBu
	SOTB10 = reg + 0x80;		// WX^Ǎ(MSB = 1)
	while (CSIM10.0 == 1);		// M҂
	tmp = SIO10;				// _~[Ǎ
	SOTB10 = 0xff;				// _~[M
	while (CSIM10.0 == 1);		// M҂
	tmp = SIO10;				// Mf[^Ǎ
	lis_cs = 1;					// lis3lv02CANeBu
	return tmp;
}

void wr_lis(unsigned char reg, unsigned char dat)
{
	unsigned char tmp;
	
	lis_cs = 0;					// lis3lv02ANeBu
	SOTB10 = reg & 0x3f;		// WX^(MSB = 0)
	while (CSIM10.0 == 1);		// M҂
	tmp = SIO10;				// _~[Ǎ
	SOTB10 = dat;				// f[^M
	while (CSIM10.0 == 1);		// M҂
	tmp = SIO10;				// _~[Ǎ
	lis_cs = 1;					// lis3lv02CANeBu
}


void main() {
	short i;
	
	PM6.1 = 0;                		// LED̃|[go͗pɂ
	
	CSIC10 = 0x1;					// ^C~O = ^Cv1, fPRS = 16MHz / 4 = 4MHz
	CSIM10 = 0xc0;					// 싖, M[h,, MSB First
	PM1.1 = 1;						// P1.1 = SI10
	PM1.0 = 0;						// P1.0 = SCK10
	P1.0 = 1;						// SCK10 = 1
	PM1.2 = 0;						// P1.2 = SO10
	P1.2 = 0;						// SO10 = 0

	P3.0 = 1;						// lis_cs = 1
	PM3.0 = 0;						// P3.0 = lis_cs(o)
	
  	t1ms(100);                      // 100ms҂
   
	g_fs = 2;
	if (g_fs == 2)
	{
		wr_lis(CTRL_REG2, 0x00);	// tXP[́}2g
	}
	else
	{
		wr_lis(CTRL_REG2, 0x80);	// tXP[́}6g
	}

	wr_lis(CTRL_REG1, 0xc7);		// LIS3LV̓Jn
	
	while(1) {
		char c = trg_getc();  		// USB1擾
		if(c == 'x') break;   		// 擾xȂΏI
		buf[0] = rd_lis(OUTX_H);    // X8rbg
    	buf[1] = rd_lis(OUTX_L);    // X8rbg
    	buf[2] = rd_lis(OUTY_H);    // Y8rbg
    	buf[3] = rd_lis(OUTY_L);    // Y8rbg
    	buf[4] = rd_lis(OUTZ_H);    // Z8rbg
    	buf[5] = rd_lis(OUTZ_L);    // Z8rbg
		trg_senddata(&buf[0],6);   	// USB6oCgf[^o͂
		P6.1 ^= 1;            		// LED̃|[g_ł
	}
}


